request for dual licensing

Asked by ReimarBauer on 2012-08-28

We (MoinMoin Wiki Project) are currently considering selenium simple tests for moin2.

sst looks nice, but because moin is "GPL v2 or later" licensed (and not just "GPL v3"),
there might be a compatibility issue with sst's apache license v2 licensing.

The Problem is described there:

http://www.apache.org/licenses/GPL-compatibility.html

I am not a lawyer nor a licensing expert, but for me this looks like i would have to
restrict moin's licensing to "GPL v3 or later" if I wanted to use sst - and that would be a change
of the license, because it removes the option for users to choose to use it under GPL v2.

As moin is a project with very many contributors, a license change for moin is rather unlikely to happen.

So, what I'd like to suggest, is: could you maybe dual-license sst under "apache license v2" plus "GPL v2 or later"?
That would make it perfectly compatible to any GPLed project, including moin. :)

regards
Reimar Bauer

Question information

Language:
English Edit question
Status:
Answered
For:
selenium-simple-test Edit question
Assignee:
No assignee Edit question
Last query:
2012-08-28
Last reply:
2012-08-28
Corey Goldberg (coreygoldberg) said : #1

Hi Reimar,

I'm not lawyer or licensing expert, but I asked one :)

"I don't think the requester has a real problem. The Apache Foundation believes that Apache 2.0 is compatible with GPLv2. It's the FSF that believes the opposite. MoinMoin can choose whose side to take, or they can rely on GPLv3, which everyone agrees is compatible."

does that help at all?

regards,

-Corey

Can you help with this problem?

Provide an answer of your own, or ask ReimarBauer for more information if necessary.

To post a message you must log in.